
QGIS Application - Bug report #22022

QGis crashing badly when opening a Project

2019-05-08 02:21 PM - Fabio Spelta

Status: Closed

Priority: High

Assignee:

Category: GUI

Affected QGIS version:3.6.2 Regression?: No

Operating System: Ubuntu Linux 18.10 with kernel 4.18.0-17-genericEasy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 29836

Description

I could open and use the project normally.

Today QGIS crashed twice when trying to open the print composer.

Now it crashes just opening the project.

Here's the project file:   https://drive.google.com/open?id=1-mqzCnUlqu_zh1T2KF7h7nL5nBtPa7mK

Warning: GEOS exception: IllegalArgumentException: Invalid number of points in LinearRing found 3 - must be 0 or >= 4

Warning: GEOS exception: IllegalArgumentException: Invalid number of points in LinearRing found 3 - must be 0 or >= 4

Warning: GEOS exception: IllegalArgumentException: point array must contain 0 or >1 elements

Warning: GEOS exception: IllegalArgumentException: Invalid number of points in LinearRing found 3 - must be 0 or >= 4

Warning: GEOS exception: IllegalArgumentException: Invalid number of points in LinearRing found 3 - must be 0 or >= 4

Warning: GEOS exception: IllegalArgumentException: Invalid number of points in LinearRing found 3 - must be 0 or >= 4

Warning: GEOS exception: IllegalArgumentException: Invalid number of points in LinearRing found 3 - must be 0 or >= 4

Warning: GEOS exception: IllegalArgumentException: point array must contain 0 or >1 elements

Warning: GEOS exception: IllegalArgumentException: point array must contain 0 or >1 elements

Warning: GEOS exception: IllegalArgumentException: point array must contain 0 or >1 elements

Warning: GEOS exception: IllegalArgumentException: point array must contain 0 or >1 elements

Warning: GEOS exception: IllegalArgumentException: point array must contain 0 or >1 elements

Warning: GEOS exception: IllegalArgumentException: point array must contain 0 or >1 elements

Warning: GEOS exception: IllegalArgumentException: point array must contain 0 or >1 elements

Warning: GEOS exception: IllegalArgumentException: point array must contain 0 or >1 elements

Warning: GEOS exception: IllegalArgumentException: Invalid number of points in LinearRing found 3 - must be 0 or >= 4

Warning: GEOS exception: IllegalArgumentException: Invalid number of points in LinearRing found 3 - must be 0 or >= 4

Warning: GEOS exception: IllegalArgumentException: Invalid number of points in LinearRing found 3 - must be 0 or >= 4

Warning: GEOS exception: IllegalArgumentException: Invalid number of points in LinearRing found 3 - must be 0 or >= 4

Warning: GEOS exception: IllegalArgumentException: Invalid number of points in LinearRing found 3 - must be 0 or >= 4

Warning: GEOS exception: IllegalArgumentException: Invalid number of points in LinearRing found 3 - must be 0 or >= 4

Warning: GEOS exception: IllegalArgumentException: point array must contain 0 or >1 elements
Warning: GEOS exception: IllegalArgumentException: point array must contain 0 or >1 elements

Warning: GEOS exception: IllegalArgumentException: point array must contain 0 or >1 elements

Warning: GEOS exception: IllegalArgumentException: point array must contain 0 or >1 elements

Warning: GEOS exception: IllegalArgumentException: point array must contain 0 or >1 elements

Warning: GEOS exception: IllegalArgumentException: point array must contain 0 or >1 elements

Warning: GEOS exception: IllegalArgumentException: point array must contain 0 or >1 elements

Warning: GEOS exception: IllegalArgumentException: point array must contain 0 or >1 elements

Warning: GEOS exception: IllegalArgumentException: point array must contain 0 or >1 elements

Warning: GEOS exception: IllegalArgumentException: Invalid number of points in LinearRing found 3 - must be 0 or >= 4

Warning: GEOS exception: IllegalArgumentException: Invalid number of points in LinearRing found 3 - must be 0 or >= 4

Warning: GEOS exception: IllegalArgumentException: point array must contain 0 or >1 elements

Warning: GEOS exception: IllegalArgumentException: point array must contain 0 or >1 elements

Warning: GEOS exception: IllegalArgumentException: Invalid number of points in LinearRing found 3 - must be 0 or >= 4

Warning: GEOS exception: IllegalArgumentException: Invalid number of points in LinearRing found 3 - must be 0 or >= 4

QGIS died on signal 11Could not attach to process.  If your uid matches the uid of the target

process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try

again as the root user.  For more details, see /etc/sysctl.d/10-ptrace.conf

ptrace: Operation not permitted.

No thread selected

No stack.

gdb returned 0

[1]    15045 abort (core dumped)  qgis

History

#1 - 2019-05-08 06:17 PM - Fabio Spelta

The same behavior happens with QGIS 3.4 and with 3.7.0-Master built from source (QGIS code revision af6d3d773d).

#2 - 2019-05-08 06:20 PM - Fabio Spelta

Extra note: switching CRS to EPSG:3857 stops the crash to happen.

#3 - 2019-05-09 12:44 AM - Nyall Dawson

- Status changed from Open to Feedback

I don't get a crash - but I do see lots of reprojection errors in the log. I suspect this is due to using EPSG:6785 ("Italy zone N-E") in areas outside of Italy

(e.g. the print layout is centered on Colombia).

Is there anything else you may have done to trigger a crash here?
#4 - 2019-05-09 11:50 AM - Fabio Spelta

Please try opening the print composer after you have opened the project.

That guarantees QGIS to crash here on my system, 100% of the times.

Thank you,

#5 - 2019-05-09 11:51 AM - Fabio Spelta

Also, it is odd that you see Colombia there. When I open the file, Italy is centered on my Desktop. Looks like some infos are not saved in the project file? ��

#6 - 2019-05-09 12:40 PM - Giovanni Manghi

Fabio Spelta wrote:

Please try opening the print composer after you have opened the project.

That guarantees QGIS to crash here on my system, 100% of the times.

Thank you,

no crash here, but the linked project has no data, so maybe it depends on it.

Please also try with a new/clean profile.

#7 - 2019-05-09 12:46 PM - Fabio Spelta

no crash here,

Not even opening the Print Layout?

Please also try with a new/clean profile.

How do I do that?

Thanks,

#8 - 2019-05-09 12:47 PM - Giovanni Manghi

Fabio Spelta wrote:

no crash here,

Not even opening the Print Layout?
no

Please also try with a new/clean profile.

settings > user profiles > new profile

#9 - 2019-05-09 08:43 PM - Fabio Spelta

Creating a new profile won't crash the system any longer so far.

How can I allow you to reproduce my crashing situation?

#10 - 2019-05-10 06:07 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

Fabio Spelta wrote:

Creating a new profile won't crash the system any longer so far.

How can I allow you to reproduce my crashing situation?

probably a bad 3rd party plugin or a legacy config.
